TIMES(3C)

NAME
times - get process times

SYNOPSIS
#include <sys/types.h>
#include <sys/times.h>

times(buffer)
struct tms *buffer;

DESCRIPTION
This interface is obsoleted by getrusage(2).

Times returns time-accounting information for the current process and for the terminated child processes of the current process. All times are in 60ths of a second (even in installations configured for 50 Hz powerline frequency).

This is the structure returned by times:

/*
Structure returned by old times() interface
*/
structure tms {
	time_t	tms_utime;		/* user time */
	time_t	tms_stime;		/* system time */
	time_t	tms_cutime;		/* user time, children */
	time_t	tms_ctime;		/* system time, children */
};

The children times are the sum of the children's process times and their children's times.

SEE ALSO
time(1), getrusage(2), wait3(2), time(3)